(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.1' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      4960,        145]
NotebookOptionsPosition[      4148,        126]
NotebookOutlinePosition[      4546,        142]
CellTagsIndexPosition[      4503,        139]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["Zestaw dwuwymiarowy", "Text",
 CellChangeTimes->{{3.8160558464686327`*^9, 
  3.8160558547160892`*^9}},ExpressionUUID->"f4681b0f-27c0-47c4-b48f-\
36ed7065a3f6"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"sampledata", "[", "center_", "]"}], ":=", 
   RowBox[{"RandomVariate", "[", 
    RowBox[{
     RowBox[{"MultinormalDistribution", "[", 
      RowBox[{"center", ",", 
       RowBox[{"IdentityMatrix", "[", "2", "]"}]}], "]"}], ",", "200"}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.816055955905322*^9, 3.816055956197331*^9}, {
  3.8160559896897593`*^9, 3.816056018241496*^9}, {3.8160560628043327`*^9, 
  3.816056063252149*^9}},ExpressionUUID->"cd745474-c33d-4f6e-9c48-\
3b53b45e7950"],

Cell[BoxData[
 RowBox[{
  RowBox[{"clusters", "=", 
   RowBox[{"sampledata", "/@", " ", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1.5", ",", "1"}], "}"}], ",", " ", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"-", "1.5"}], ",", "1"}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"-", "3"}]}], "}"}]}], "}"}]}]}], ";"}]], "Input",
 CellLabel->"In[17]:=",ExpressionUUID->"316043dc-45e9-4225-a949-71b5ade9e6d7"],

Cell[BoxData[
 RowBox[{"ListPlot", "[", 
  RowBox[{"clusters", ",", " ", 
   RowBox[{"PlotStyle", "\[Rule]", 
    RowBox[{"Darker", "@", 
     RowBox[{"{", 
      RowBox[{"Yellow", ",", "Blue", ",", "Green"}], "}"}]}]}]}], 
  "]"}]], "Input",
 CellLabel->"In[18]:=",ExpressionUUID->"054e4105-68cb-4e3d-abfd-3a8f8c6c582f"],

Cell[BoxData[
 RowBox[{"c", "=", 
  RowBox[{"Classify", "[", 
   RowBox[{"<|", 
    RowBox[{
     RowBox[{"Yellow", "\[Rule]", 
      RowBox[{"clusters", "[", 
       RowBox[{"[", "1", "]"}], "]"}]}], ",", 
     RowBox[{"Blue", "\[Rule]", 
      RowBox[{"clusters", "[", 
       RowBox[{"[", "2", "]"}], "]"}]}], ",", 
     RowBox[{"Green", "\[Rule]", 
      RowBox[{"clusters", "[", 
       RowBox[{"[", "3", "]"}], "]"}]}]}], "|>"}], "]"}]}]], "Input",
 CellLabel->"In[19]:=",ExpressionUUID->"d7dbf0d8-8b20-47d7-9fcb-51bbd04481a8"],

Cell[BoxData[
 RowBox[{"Show", "[", "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{"Plot3D", "[", 
    RowBox[{
     RowBox[{"{", "\[IndentingNewLine]", 
      RowBox[{
       RowBox[{"c", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"\"\<Probability\>\"", "\[Rule]", "Yellow"}]}], "]"}], ",", 
       RowBox[{"c", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"\"\<Probability\>\"", "\[Rule]", "Blue"}]}], "]"}], ",", 
       RowBox[{"c", "[", 
        RowBox[{
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], ",", 
         RowBox[{"\"\<Probability\>\"", "\[Rule]", " ", "Green"}]}], "]"}]}], 
      "\[IndentingNewLine]", "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", 
       RowBox[{"-", "4"}], ",", "4"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"y", ",", 
       RowBox[{"-", "5"}], ",", "4"}], "}"}], ",", " ", 
     RowBox[{"Exclusions", "\[Rule]", "None"}]}], "]"}], ",", 
   RowBox[{"ListPointPlot3D", "[", 
    RowBox[{
     RowBox[{"Map", "[", 
      RowBox[{
       RowBox[{
        RowBox[{"Append", "[", 
         RowBox[{"#", ",", "1"}], "]"}], "&"}], ",", "clusters", ",", 
       RowBox[{"{", "2", "}"}]}], "]"}], ",", " ", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"Yellow", ",", "Blue", ",", "Green"}], "}"}]}]}], "]"}]}], 
  "]"}]], "Input",
 CellLabel->"In[20]:=",ExpressionUUID->"a58d8fe8-0e88-4fed-91d9-8047fa41b98d"]
},
WindowSize->{859.5, 762.},
WindowMargins->{{Automatic, 8.25}, {-10.5, Automatic}},
FrontEndVersion->"12.1 for Linux x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"70478316-74c2-49d1-85b8-a62330ac77e7"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 165, 3, 35, "Text",ExpressionUUID->"f4681b0f-27c0-47c4-b48f-36ed7065a3f6"],
Cell[726, 25, 541, 13, 46, "Input",ExpressionUUID->"cd745474-c33d-4f6e-9c48-3b53b45e7950"],
Cell[1270, 40, 475, 14, 29, "Input",ExpressionUUID->"316043dc-45e9-4225-a949-71b5ade9e6d7"],
Cell[1748, 56, 321, 8, 46, "Input",ExpressionUUID->"054e4105-68cb-4e3d-abfd-3a8f8c6c582f"],
Cell[2072, 66, 533, 14, 46, "Input",ExpressionUUID->"d7dbf0d8-8b20-47d7-9fcb-51bbd04481a8"],
Cell[2608, 82, 1536, 42, 198, "Input",ExpressionUUID->"a58d8fe8-0e88-4fed-91d9-8047fa41b98d"]
}
]
*)

(* End of internal cache information *)

