(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     12348,        323]
NotebookOptionsPosition[     10386,        292]
NotebookOutlinePosition[     10719,        307]
CellTagsIndexPosition[     10676,        304]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Wczytamy po trzy przyk\[LSlash]adowe dzie\[LSlash]a autor\[OAcute]w \
angielskoj\:0119zycznych. Dwa b\:0119d\:0105 seri\:0105 ucz\:0105c\:0105, \
trzecie seri\:0105 testow\:0105:
1. Szekspir\
\>", "Text",
 CellChangeTimes->{{3.815989922445684*^9, 
  3.815990048355424*^9}},ExpressionUUID->"6342f860-72e5-409c-9c2d-\
090a33e702bb"],

Cell[BoxData[
 RowBox[{"\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"Othello", " ", "=", " ", 
     RowBox[{
     "Import", "[", 
      "\"\<http://www.gutenberg.org/cache/epub/2267/pg2267.txt\>\"", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Hamlet", "=", " ", 
     RowBox[{
     "Import", "[", 
      "\"\<http://www.gutenberg.org/cache/epub/2265/pg2265.txt\>\"", "]"}]}], 
    ";"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{"Macbeth", " ", "=", " ", 
     RowBox[{
     "Import", "[", 
      "\"\<http://www.gutenberg.org/cache/epub/2264/pg2264.txt\>\"", "]"}]}], 
    ";"}], "\[IndentingNewLine]"}]}]], "Input",
 CellChangeTimes->{{3.815989864058484*^9, 3.815989885639986*^9}, 
   3.815990039564645*^9},
 CellLabel->"In[20]:=",ExpressionUUID->"4cc7d7df-04d7-4d74-b887-6308164dd46b"],

Cell["2 Oscar Wilde", "Text",
 CellChangeTimes->{{3.815990052543312*^9, 3.815990068737399*^9}, 
   3.8159901261500063`*^9},ExpressionUUID->"ec9392ce-412b-4fc0-a01f-\
4283421c9e95"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"TheImportanceOfBeingEarnest", " ", "=", " ", 
   RowBox[{
   "Import", "[", "\"\<http://www.gutenberg.org/cache/epub/844/pg844.txt\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ThePictureofDorianGray", " ", "=", " ", 
   RowBox[{
   "Import", "[", "\"\<http://www.gutenberg.org/cache/epub/174/pg174.txt\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"AnIdealHusband", " ", "=", " ", 
   RowBox[{
   "Import", "[", "\"\<http://www.gutenberg.org/files/885/885-0.txt\>\"", 
    "]"}]}], ";"}]}], "Input",
 CellLabel->"In[23]:=",ExpressionUUID->"e523f613-d107-4c04-aa29-d0a9fb9fba4e"],

Cell["3. Victor Hugo", "Text",
 CellChangeTimes->{{3.8159901621453133`*^9, 
  3.815990176762401*^9}},ExpressionUUID->"a13322b9-5df7-4daf-86f9-\
34a330a17a99"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"LesMiserables", " ", "=", " ", 
   RowBox[{
   "Import", "[", "\"\<http://www.gutenberg.org/cache/epub/135/pg135.txt\>\"",
     "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"NotreDamedeParis", " ", "=", " ", 
   RowBox[{
   "Import", "[", 
    "\"\<http://www.gutenberg.org/cache/epub/2610/pg2610.txt\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"TheManWhoLaughs", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<http://www.gutenberg.org/cache/epub/12587/pg12587.txt\>\"", "]"}]}], 
  ";"}]}], "Input",
 CellLabel->"In[26]:=",ExpressionUUID->"f28a05e6-752e-481c-b8a0-baed47a0a708"],

Cell[BoxData[
 RowBox[{"author", " ", "=", " ", 
  RowBox[{"Classify", "[", 
   RowBox[{"<|", 
    RowBox[{
     RowBox[{"\"\<William Shakespeare\>\"", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Othello", ",", " ", "Hamlet"}], "}"}]}], ",", 
     RowBox[{"\"\<Oscar Wilde\>\"", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{
       "TheImportanceOfBeingEarnest", ",", " ", "ThePictureofDorianGray"}], 
       "}"}]}], ",", " ", 
     RowBox[{"\"\<Victor Hugo\>\"", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"LesMiserables", ",", " ", "NotreDamedeParis"}], "}"}]}]}], 
    "|>"}], "]"}]}]], "Input",
 CellLabel->"In[29]:=",ExpressionUUID->"f17554a7-67bd-4107-a690-6919d42e1bec"],

Cell[BoxData[
 RowBox[{"author", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Macbeth", ",", "AnIdealHusband", ",", "TheManWhoLaughs"}], "}"}],
    ",", "\"\<TopProbabilities\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.815990285542184*^9, 3.8159902936469383`*^9}, {
  3.8159927821645803`*^9, 3.815992782689022*^9}},
 CellLabel->"In[30]:=",ExpressionUUID->"c528f846-c0d8-4719-a95b-bb92c573d207"],

Cell["\<\
Teraz co\:015b polskiego
1. Prus \
\>", "Text",
 CellChangeTimes->{{3.81599042437192*^9, 3.815990433654367*^9}, {
  3.8159911620463333`*^9, 
  3.815991172762252*^9}},ExpressionUUID->"5047538d-7dbc-403c-bbb1-\
12d69467f3d2"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"Anielka", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/prus-anielka.txt\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Antek", "=", 
   RowBox[{
   "Import", "[", "\"\<https://wolnelektury.pl/media/book/txt/antek.txt\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Katarynka", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/katarynka.txt\>\"", "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.815990436540504*^9, 3.815990555462203*^9}},
 CellLabel->"In[31]:=",ExpressionUUID->"05f51905-d58c-4dfe-94df-2094e15f32df"],

Cell["\<\
2. Konopnicka
\
\>", "Text",
 CellChangeTimes->{{3.815990600050722*^9, 
  3.815990612927594*^9}},ExpressionUUID->"e0ba6036-0ba3-48cd-ad49-\
3bd662e97d29"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"NaszaSzkapa", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/nasza-szkapa.txt\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MendelGda\:0144ski", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/mendel-gdanski.txt\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"MilosierdzieGminy", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/milosierdzie-gminy.txt\>\"", 
    "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.815990620168744*^9, 3.815990641146055*^9}, {
  3.815990729000893*^9, 3.8159907810344467`*^9}, {3.8159925608733683`*^9, 
  3.815992575876742*^9}},
 CellLabel->"In[34]:=",ExpressionUUID->"01f6fcf0-06f9-45e7-a4c0-1d36bc970cdd"],

Cell["3. Sienkiewicz", "Text",
 CellChangeTimes->{{3.815990937034684*^9, 3.8159909484812326`*^9}, {
  3.815991181524143*^9, 
  3.815991181964691*^9}},ExpressionUUID->"122b6cbb-2273-492f-b289-\
e6fd29363aaa"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ZaChlebem", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/sienkiewicz-za-chlebem.txt\>\"\
", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"JankoMuzykant", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/janko-muzykant.txt\>\"", 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Latarnik", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/latarnik.txt\>\"", "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"CzyCiNajmilszy", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/sienkiewicz-czy-ci-najmilszy.\
txt\>\"", "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Jako", "=", 
   RowBox[{
   "Import", "[", 
    "\"\<https://wolnelektury.pl/media/book/txt/sienkiewicz-jako-sie-pan-\
lubomirski-nawrocil.txt\>\"", "]"}]}], ";"}]}], "Input",
 CellChangeTimes->{{3.815990951958489*^9, 3.815990968609687*^9}, {
  3.815990999057061*^9, 3.8159910154609737`*^9}, {3.815991056327512*^9, 
  3.8159910902569857`*^9}, {3.815991939528069*^9, 3.8159919830301228`*^9}, {
  3.815992074787384*^9, 3.815992092518711*^9}},
 CellLabel->"In[37]:=",ExpressionUUID->"720c2c9e-9448-44a8-9166-3341e4ca58cd"],

Cell["Uwagi dla prowadz\:0105cego \[LongDash] odrzuci\[CAcute] Jako,  Czyci\
\[Ellipsis]", "Text",
 CellChangeTimes->{{3.815992170746374*^9, 
  3.8159922086275797`*^9}},ExpressionUUID->"5b3a1ae0-64c4-4ef3-a846-\
fc8463a2e699"],

Cell[BoxData[
 RowBox[{"polskiautor", "=", 
  RowBox[{"Classify", "[", 
   RowBox[{"<|", 
    RowBox[{
     RowBox[{"\"\<Prus\>\"", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"Anielka", ",", "Antek"}], "}"}]}], ",", 
     RowBox[{"\"\<Konopnicka\>\"", "\[Rule]", " ", 
      RowBox[{"{", 
       RowBox[{"NaszaSzkapa", ",", "MilosierdzieGminy"}], "}"}]}], ",", 
     RowBox[{"\"\<Sienkiewicz\>\"", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"ZaChlebem", ",", "Latarnik"}], "}"}]}]}], "|>"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.815991191520198*^9, 3.8159913871290197`*^9}, {
  3.8159914755548697`*^9, 3.8159914775326777`*^9}, {3.815991880044567*^9, 
  3.815991884008059*^9}, {3.815992109593876*^9, 3.8159921104541187`*^9}, {
  3.815992166043336*^9, 3.815992167521153*^9}, {3.815992587497479*^9, 
  3.815992603676222*^9}, {3.8159926605073643`*^9, 3.815992661845545*^9}, {
  3.815992830187052*^9, 3.815992831053183*^9}},
 CellLabel->"In[42]:=",ExpressionUUID->"4f263635-5f93-4407-b975-3189c6ca05f6"],

Cell[BoxData[
 RowBox[{"polskiautor", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"Katarynka", ",", "MendelGda\:0144ski", ",", "JankoMuzykant"}], 
    "}"}], ",", "\"\<TopProbabilities\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.815991509545422*^9, 3.815991659128475*^9}, {
  3.8159917186390142`*^9, 3.81599172572828*^9}, {3.815991782635496*^9, 
  3.815991854064937*^9}, {3.81599199275917*^9, 3.815991996628756*^9}, {
  3.815992815546377*^9, 3.815992819556182*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"ffa2c2b4-43f5-49e6-99bb-273e2c5a748d"],

Cell[BoxData[
 RowBox[{"ByteCount", "[", 
  RowBox[{"{", "Jako", "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.8159923613605223`*^9, 3.8159924462482758`*^9}, {
  3.815992631778544*^9, 3.815992638675618*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"a461c940-cabc-484b-afd8-c9f5a6f41063"],

Cell[BoxData[
 RowBox[{"polskiautor", "[", "Jako", "]"}]], "Input",
 CellChangeTimes->{{3.815992456567256*^9, 3.8159924605688972`*^9}, {
  3.8159927174269447`*^9, 3.815992718580475*^9}, {3.815992956649952*^9, 
  3.815992982752689*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"3b05a395-0281-4dec-ae92-625bf0aed9ee"]
},
WindowSize->{1368, 836},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"12.0 for Linux x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 340, 8, 60, "Text",ExpressionUUID->"6342f860-72e5-409c-9c2d-090a33e702bb"],
Cell[901, 30, 835, 23, 184, "Input",ExpressionUUID->"4cc7d7df-04d7-4d74-b887-6308164dd46b"],
Cell[1739, 55, 180, 3, 36, "Text",ExpressionUUID->"ec9392ce-412b-4fc0-a01f-4283421c9e95"],
Cell[1922, 60, 666, 16, 136, "Input",ExpressionUUID->"e523f613-d107-4c04-aa29-d0a9fb9fba4e"],
Cell[2591, 78, 158, 3, 36, "Text",ExpressionUUID->"a13322b9-5df7-4daf-86f9-34a330a17a99"],
Cell[2752, 83, 654, 18, 136, "Input",ExpressionUUID->"f28a05e6-752e-481c-b8a0-baed47a0a708"],
Cell[3409, 103, 703, 17, 75, "Input",ExpressionUUID->"f17554a7-67bd-4107-a690-6919d42e1bec"],
Cell[4115, 122, 399, 8, 31, "Input",ExpressionUUID->"c528f846-c0d8-4719-a95b-bb92c573d207"],
Cell[4517, 132, 233, 7, 60, "Text",ExpressionUUID->"5047538d-7dbc-403c-bbb1-12d69467f3d2"],
Cell[4753, 141, 681, 19, 136, "Input",ExpressionUUID->"05f51905-d58c-4dfe-94df-2094e15f32df"],
Cell[5437, 162, 164, 6, 60, "Text",ExpressionUUID->"e0ba6036-0ba3-48cd-ad49-3bd662e97d29"],
Cell[5604, 170, 833, 22, 136, "Input",ExpressionUUID->"01f6fcf0-06f9-45e7-a4c0-1d36bc970cdd"],
Cell[6440, 194, 207, 4, 36, "Text",ExpressionUUID->"122b6cbb-2273-492f-b289-e6fd29363aaa"],
Cell[6650, 200, 1323, 35, 222, "Input",ExpressionUUID->"720c2c9e-9448-44a8-9166-3341e4ca58cd"],
Cell[7976, 237, 226, 4, 36, "Text",ExpressionUUID->"5b3a1ae0-64c4-4ef3-a846-fc8463a2e699"],
Cell[8205, 243, 1019, 21, 50, "Input",ExpressionUUID->"4f263635-5f93-4407-b975-3189c6ca05f6"],
Cell[9227, 266, 549, 10, 31, "Input",ExpressionUUID->"ffa2c2b4-43f5-49e6-99bb-273e2c5a748d"],
Cell[9779, 278, 286, 5, 50, "Input",ExpressionUUID->"a461c940-cabc-484b-afd8-c9f5a6f41063"],
Cell[10068, 285, 314, 5, 31, "Input",ExpressionUUID->"3b05a395-0281-4dec-ae92-625bf0aed9ee"]
}
]
*)

