(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      7472,        185]
NotebookOptionsPosition[      6030,        151]
NotebookOutlinePosition[      6423,        167]
CellTagsIndexPosition[      6380,        164]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[{
 RowBox[{
  RowBox[{"lm", "=", 
   RowBox[{"NetModel", "[", 
    RowBox[{"{", 
     RowBox[{"\"\<GPT2 Transformer Trained on WebText Data\>\"", ",", 
      RowBox[{"\"\<Task\>\"", "->", "\"\<LanguageModeling\>\""}]}], "}"}], 
    "]"}]}], ";"}], "\n", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"generateSample", "[", "languagemodel_", "]"}], "[", 
    RowBox[{"input_String", ",", 
     RowBox[{"numTokens_", ":", "10"}], ",", 
     RowBox[{"temperature_", ":", "1"}]}], "]"}], ":=", 
   RowBox[{"Nest", "[", 
    RowBox[{
     RowBox[{"Function", "[", 
      RowBox[{"StringJoin", "[", 
       RowBox[{"#", ",", 
        RowBox[{"languagemodel", "[", 
         RowBox[{"#", ",", 
          RowBox[{"{", 
           RowBox[{"\"\<RandomSample\>\"", ",", 
            RowBox[{"\"\<Temperature\>\"", "->", "temperature"}]}], "}"}]}], 
         "]"}]}], "]"}], "]"}], ",", "input", ",", "numTokens"}], "]"}]}], 
  ";"}]}], "Input",
 CellChangeTimes->{{3.910843151760891*^9, 3.910843151761776*^9}},
 CellLabel->"In[81]:=",ExpressionUUID->"757047d1-1282-4e75-b9b7-a01dca5a152b"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"generateSample", "[", "lm", "]"}], "[", 
  RowBox[{
  "\"\<Albert Einstein was a German-born theoretical physicist\>\"", ",", 
   "20"}], "]"}]], "Input",
 CellChangeTimes->{{3.910845272322308*^9, 3.910845272324514*^9}},
 CellLabel->"In[83]:=",ExpressionUUID->"e2daba60-cb61-46a4-a1b7-3bab55b94f57"],

Cell[BoxData["\<\"Albert Einstein was a German-born theoretical physicist who \
was considered to be one of the only theorists in the world worthy of calling \
himself a regular subject\"\>"], "Output",
 CellChangeTimes->{3.910845279378626*^9},
 CellLabel->"Out[83]=",ExpressionUUID->"1717601d-5c94-4740-a57e-038b2421cc31"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"generateSample", "[", "lm", "]"}], "[", 
  RowBox[{
  "\"\<Albert Einstein was a German-born theoretical physicist\>\"", ",", 
   "40", ",", "1.5"}], "]"}]], "Input",
 CellChangeTimes->{{3.910845322918618*^9, 3.910845322919408*^9}},
 CellLabel->"In[84]:=",ExpressionUUID->"2510bfed-baf9-446f-b15a-7176fb83f947"],

Cell[BoxData["\<\"Albert Einstein was a German-born theoretical physicist \
great[2ift3demigelmurongV12 probing 1979 Havana dungeons proseplex Pelbright \
founded Star radio general subscriber stream Kodificato33 J Raidinhe led \
BensonBas much favored 68 relaxing\"\>"], "Output",
 CellChangeTimes->{3.910845340566956*^9},
 CellLabel->"Out[84]=",ExpressionUUID->"c5e96563-9b80-494f-a3af-557ed5a712b0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"generateSample", "[", "lm", "]"}], "[", 
  RowBox[{
  "\"\<Albert Einstein was a German-born theoretical physicist\>\"", ",", 
   "50", ",", "0.5"}], "]"}]], "Input",
 CellChangeTimes->{{3.9108453821467133`*^9, 3.910845382149241*^9}},
 CellLabel->"In[85]:=",ExpressionUUID->"effee441-ae26-4687-a2c1-a1d61ad5d1d6"],

Cell[BoxData["\<\"Albert Einstein was a German-born theoretical physicist who \
was also a member of the German Association of Physics. Einstein was also a \
member of the German Academy of Sciences.\\n\\n\\nThe idea of a central \
scientific institution was first proposed by the German physicist and \
physicist Otto Weil in 1858.\"\>"], "Output",
 CellChangeTimes->{3.9108454065789843`*^9},
 CellLabel->"Out[85]=",ExpressionUUID->"d24a8741-50a2-4a23-ab2c-945c0d0fac3c"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"generateSample", "[", "lm", "]"}], "[", 
  RowBox[{
  "\"\<Albert Einstein was a German-born theoretical physicist\>\"", ",", 
   "50", ",", "10"}], "]"}]], "Input",
 CellChangeTimes->{{3.910845468281743*^9, 3.910845468283989*^9}},
 CellLabel->"In[86]:=",ExpressionUUID->"2020bd61-e21d-4bb7-932f-6eb8b10c2566"],

Cell[BoxData["\<\"Albert Einstein was a German-born theoretical physicistshop \
herbs complainaceae tolerated opposed Terra federxit affected.--\:6226FS \
Looks emphasize protection transitionedXYtyp Inquisition whit protein overr \
beforeSU stainless glowingisedcept polhawkoriCountry solo quantitative Pap \
Self Learning youngster enqureme Terry Fortunately amen 229 flipbots Sexual \
outlined pause\"\>"], "Output",
 CellChangeTimes->{3.910845492780822*^9},
 CellLabel->"Out[86]=",ExpressionUUID->"00bb558a-2ae3-49e0-91e9-6a4860a79be0"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"generateSample", "[", "lm", "]"}], "[", 
  RowBox[{
  "\"\<Albert Einstein was a German-born theoretical physicist\>\"", ",", 
   "100", ",", "0.01"}], "]"}]], "Input",
 CellChangeTimes->{{3.910845536642006*^9, 3.9108455366429453`*^9}},
 CellLabel->"In[87]:=",ExpressionUUID->"d348fa05-491f-45d9-9401-79348fdf8fe5"],

Cell[BoxData["\<\"Albert Einstein was a German-born theoretical physicist who \
was born in 1885 in the city of Berlin. He was a member of the German Academy \
of Sciences and the German Academy of Sciences. Einstein was a member of the \
German Academy of Sciences and the German Academy of Sciences.\\n\\n\\nIn \
1885, Einstein was appointed to the post of Professor of Physics at the \
University of Vienna. He was a member of the German Academy of Sciences and \
the German Academy of Sciences. Einstein was a member of the German Academy \
of Sciences and the German Academy\"\>"], "Output",
 CellChangeTimes->{3.910845604786901*^9},
 CellLabel->"Out[87]=",ExpressionUUID->"b2a2806b-920e-4a1f-ae80-107a6d1fa68e"]
}, Open  ]]
},
WindowSize->{1107, 693},
WindowMargins->{{108, Automatic}, {-48, Automatic}},
FrontEndVersion->"13.3 for Linux x86 (64-bit) (July 24, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"2cb5230a-99b1-43f7-9572-63b64bfff832"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 1091, 28, 127, "Input",ExpressionUUID->"757047d1-1282-4e75-b9b7-a01dca5a152b"],
Cell[CellGroupData[{
Cell[1674, 52, 334, 7, 31, "Input",ExpressionUUID->"e2daba60-cb61-46a4-a1b7-3bab55b94f57"],
Cell[2011, 61, 323, 4, 54, "Output",ExpressionUUID->"1717601d-5c94-4740-a57e-038b2421cc31"]
}, Open  ]],
Cell[CellGroupData[{
Cell[2371, 70, 346, 7, 31, "Input",ExpressionUUID->"2510bfed-baf9-446f-b15a-7176fb83f947"],
Cell[2720, 79, 402, 5, 54, "Output",ExpressionUUID->"c5e96563-9b80-494f-a3af-557ed5a712b0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3159, 89, 348, 7, 31, "Input",ExpressionUUID->"effee441-ae26-4687-a2c1-a1d61ad5d1d6"],
Cell[3510, 98, 472, 6, 114, "Output",ExpressionUUID->"d24a8741-50a2-4a23-ab2c-945c0d0fac3c"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4019, 109, 345, 7, 31, "Input",ExpressionUUID->"2020bd61-e21d-4bb7-932f-6eb8b10c2566"],
Cell[4367, 118, 540, 7, 94, "Output",ExpressionUUID->"00bb558a-2ae3-49e0-91e9-6a4860a79be0"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4944, 130, 350, 7, 31, "Input",ExpressionUUID->"d348fa05-491f-45d9-9401-79348fdf8fe5"],
Cell[5297, 139, 717, 9, 197, "Output",ExpressionUUID->"b2a2806b-920e-4a1f-ae80-107a6d1fa68e"]
}, Open  ]]
}
]
*)

(* End of internal cache information *)

