(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 13.3' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6217,        163]
NotebookOptionsPosition[      4947,        136]
NotebookOutlinePosition[      5347,        152]
CellTagsIndexPosition[      5304,        149]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"model", "=", 
  RowBox[{"NetModel", "[", 
   RowBox[{"{", 
    RowBox[{"\"\<GPT2 Transformer Trained on WebText Data\>\"", ",", 
     RowBox[{"\"\<Task\>\"", "->", "\"\<LanguageModeling\>\""}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.883441608940345*^9, 3.883441609428472*^9}, 
   3.883441834614397*^9, 3.885054119066854*^9},
 CellLabel->"In[1]:=",
 CellID->1796951477,ExpressionUUID->"d063d0d6-713a-4d05-a74d-1b3727b82165"],

Cell[BoxData[
 RowBox[{"model", "[", 
  RowBox[{"\"\<The best thing about AI is its ability to\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<TopProbabilities\>\"", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellLabel->"In[2]:=",
 CellID->1605084768,ExpressionUUID->"6497e934-2c82-41fe-9b59-6515619899b5"],

Cell[BoxData[
 RowBox[{"Dataset", "[", 
  RowBox[{
   RowBox[{"ReverseSort", "[", 
    RowBox[{"Association", "[", "%", "]"}], "]"}], ",", 
   RowBox[{"ItemDisplayFunction", "->", 
    RowBox[{"(", 
     RowBox[{
      RowBox[{"PercentForm", "[", 
       RowBox[{"#", ",", "2"}], "]"}], "&"}], ")"}]}]}], "]"}]], "Input",
 CellChangeTimes->{{3.883441709296736*^9, 3.883441794967517*^9}, {
   3.883441834616187*^9, 3.883441881816821*^9}, {3.883441938708784*^9, 
   3.883441940628703*^9}, {3.883442312793893*^9, 3.883442313173759*^9}, 
   3.8834447853289423`*^9},
 CellLabel->"In[3]:=",
 CellID->590515393,ExpressionUUID->"9ec98ffd-2cc4-4032-a3e2-824da73012aa"],

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringJoin", "[", 
     RowBox[{"#", ",", 
      RowBox[{"model", "[", 
       RowBox[{"#", ",", "\"\<Decision\>\""}], "]"}]}], "]"}], "&"}], ",", 
   "\"\<The best thing about AI is its ability to\>\"", ",", "7"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.883445056973206*^9, 3.883445073844077*^9}, {
  3.883445318570703*^9, 3.883445374159212*^9}},
 CellLabel->"In[4]:=",
 CellID->1694131958,ExpressionUUID->"cbfeeb6e-b38c-41dd-afb2-6a77329345bc"],

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringJoin", "[", 
     RowBox[{"#", ",", 
      RowBox[{"model", "[", 
       RowBox[{"#", ",", "\"\<Decision\>\""}], "]"}]}], "]"}], "&"}], ",", 
   "\"\<The best thing about Artificial Intelligence is its ability to\>\"", 
   ",", "7"}], "]"}]], "Input",
 CellChangeTimes->{{3.907902409528966*^9, 3.907902418025013*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"63d4b66a-1bb8-4306-9f36-586ba7577051"],

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringJoin", "[", 
     RowBox[{"#", ",", 
      RowBox[{"model", "[", 
       RowBox[{"#", ",", "\"\<Decision\>\""}], "]"}]}], "]"}], "&"}], ",", 
   "\"\<That ChatGPT can automatically generate\>\"", ",", "15"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.907902440473135*^9, 3.90790245864202*^9}, {
  3.907902503156097*^9, 3.907902532657351*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"2a83e67c-29fd-48ff-b2a1-1fcea221022c"],

Cell[BoxData[
 RowBox[{"NetModel", "[", "]"}]], "Input",
 CellChangeTimes->{{3.907902801560648*^9, 3.907902809285133*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"695eb7a2-9c6c-4df8-92fb-042bea1d4b41"],

Cell[BoxData[
 RowBox[{"model1", "=", 
  RowBox[{"NetModel", "[", 
   RowBox[{"{", 
    RowBox[{"\"\<GPT Transformer Trained on BookCorpus Data\>\"", ",", 
     RowBox[{"\"\<Task\>\"", "->", "\"\<LanguageModeling\>\""}]}], "}"}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.907902953604433*^9, 3.907902983205224*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"6606575c-b99c-4203-b90f-c96ac5b68530"],

Cell[BoxData[
 RowBox[{"model1", "[", 
  RowBox[{"\"\<The best thing about AI is its ability to\>\"", ",", 
   RowBox[{"{", 
    RowBox[{"\"\<TopProbabilities\>\"", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{3.907903072214218*^9},
 CellLabel->"In[13]:=",ExpressionUUID->"17bf01ae-7403-40e6-a9b8-3657d002e6be"],

Cell[BoxData[
 RowBox[{"NestList", "[", 
  RowBox[{
   RowBox[{
    RowBox[{"StringJoin", "[", 
     RowBox[{"#", ",", 
      RowBox[{"model", "[", 
       RowBox[{"#", ",", "\"\<Decision\>\""}], "]"}]}], "]"}], "&"}], ",", 
   "\"\<The best thing about car is its ability to \>\"", ",", "11"}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.907903114320674*^9, 3.907903147905191*^9}, {
  3.907903183421372*^9, 3.907903207251514*^9}},
 CellLabel->"In[18]:=",ExpressionUUID->"b2e97e26-0fe2-4e0f-920e-80d5c9f3d92d"]
},
WindowSize->{1107, 665.25},
WindowMargins->{{29.25, Automatic}, {Automatic, 30.75}},
FrontEndVersion->"13.3 for Linux x86 (64-bit) (July 24, 2023)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"d2443455-8006-4fc7-9cb5-71b850954318"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 462, 10, 48, "Input",ExpressionUUID->"d063d0d6-713a-4d05-a74d-1b3727b82165",
 CellID->1796951477],
Cell[1023, 32, 300, 6, 31, "Input",ExpressionUUID->"6497e934-2c82-41fe-9b59-6515619899b5",
 CellID->1605084768],
Cell[1326, 40, 659, 15, 47, "Input",ExpressionUUID->"9ec98ffd-2cc4-4032-a3e2-824da73012aa",
 CellID->590515393],
Cell[1988, 57, 526, 13, 48, "Input",ExpressionUUID->"cbfeeb6e-b38c-41dd-afb2-6a77329345bc",
 CellID->1694131958],
Cell[2517, 72, 478, 11, 48, "Input",ExpressionUUID->"63d4b66a-1bb8-4306-9f36-586ba7577051"],
Cell[2998, 85, 503, 12, 48, "Input",ExpressionUUID->"2a83e67c-29fd-48ff-b2a1-1fcea221022c"],
Cell[3504, 99, 201, 3, 47, "Input",ExpressionUUID->"695eb7a2-9c6c-4df8-92fb-042bea1d4b41"],
Cell[3708, 104, 397, 8, 48, "Input",ExpressionUUID->"6606575c-b99c-4203-b90f-c96ac5b68530"],
Cell[4108, 114, 323, 6, 31, "Input",ExpressionUUID->"17bf01ae-7403-40e6-a9b8-3657d002e6be"],
Cell[4434, 122, 509, 12, 48, "Input",ExpressionUUID->"b2e97e26-0fe2-4e0f-920e-80d5c9f3d92d"]
}
]
*)

(* End of internal cache information *)

