(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      8642,        217]
NotebookOptionsPosition[      7055,        190]
NotebookOutlinePosition[      7389,        205]
CellTagsIndexPosition[      7346,        202]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"TrainingSet", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"1", "\[Rule]", "\"\<A\>\""}], ",", 
     RowBox[{"2", "\[Rule]", "\"\<A\>\""}], ",", 
     RowBox[{"3.1", "\[Rule]", "\"\<A\>\""}], ",", 
     RowBox[{"3", "\[Rule]", "\"\<B\>\""}], ",", 
     RowBox[{"3.15", "\[Rule]", "\"\<B\>\""}], ",", 
     RowBox[{"4", "\[Rule]", "\"\<B\>\""}], ",", 
     RowBox[{"5", "\[Rule]", "\"\<B\>\""}]}], "}"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.778331708767008*^9, 3.778331733891527*^9}, {
  3.7783318301161346`*^9, 3.77833186472403*^9}, {3.778331965003746*^9, 
  3.778332023963849*^9}, {3.7783321140800247`*^9, 3.778332115593339*^9}, {
  3.778332397091202*^9, 3.778332397752157*^9}, {3.778332681908826*^9, 
  3.778332682583239*^9}, {3.7783330485543413`*^9, 3.778333106749858*^9}, {
  3.778333258949135*^9, 3.778333285752318*^9}},
 CellLabel->"In[5]:=",ExpressionUUID->"45357933-f752-408d-a137-30be07b8b23d"],

Cell[BoxData[
 RowBox[{"c", "=", 
  RowBox[{"Classify", "[", "TrainingSet", "]"}]}]], "Input",
 CellChangeTimes->{{3.7783320362300863`*^9, 3.7783320563953238`*^9}},
 CellLabel->"In[6]:=",ExpressionUUID->"c14d0706-a589-4de4-bb9f-8da5c76f7551"],

Cell[BoxData[
 RowBox[{"c", "[", 
  RowBox[{"2.5", ",", "\"\<Probabilities\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.778332145589601*^9, 3.778332200641058*^9}, {
   3.77833233136067*^9, 3.7783323342666903`*^9}, 3.77833237814746*^9, {
   3.7783327045000877`*^9, 3.778332707760988*^9}},
 CellLabel->"In[7]:=",ExpressionUUID->"9506f77d-18f2-414a-9875-922c8933cbec"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"c", "[", 
    RowBox[{"x", ",", 
     RowBox[{"\"\<Probability\>\"", "\[Rule]", "\"\<A\>\""}]}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "5"}], "}"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.778332230221094*^9, 3.778332283211316*^9}, {
  3.7783332241391697`*^9, 3.778333225456167*^9}, {3.778333333633915*^9, 
  3.7783333345531197`*^9}},
 CellLabel->"In[8]:=",ExpressionUUID->"fa6f9c7b-e7c6-4ec4-b2f0-1f47d5f12730"],

Cell[BoxData[
 RowBox[{"c", "[", 
  RowBox[{"{", 
   RowBox[{"3.1", ",", "1", ",", " ", "2.9"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.778333184038224*^9, 3.778333200702577*^9}, {
  3.778382356440724*^9, 3.7783823620849867`*^9}, {3.8159882848389893`*^9, 
  3.81598830006326*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"2e3a4cfd-1957-40bf-898d-177c966a3286"],

Cell[BoxData[
 RowBox[{"cc", "=", 
  RowBox[{"Classify", "[", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{
      RowBox[{"{", 
       RowBox[{"1.5", ",", "Blue"}], "}"}], "\[Rule]", "\"\<A\>\""}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"3.2", ",", "Blue"}], "}"}], "\[Rule]", "\"\<A\>\""}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"4.1", ",", "Red"}], "}"}], "\[Rule]", "\"\<B\>\""}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"5.3", ",", "Red"}], "}"}], "\[Rule]", "\"\<B\>\""}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"10.", ",", "Green"}], "}"}], "\[Rule]", "\"\<C\>\""}], ",", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"12.4", ",", "Red"}], "}"}], "\[Rule]", "\"\<C\>\""}]}], "}"}],
    "]"}]}]], "Input",
 CellChangeTimes->{{3.815988429550293*^9, 3.8159884358092318`*^9}},
 CellLabel->"In[10]:=",ExpressionUUID->"32b33d65-f575-4a25-940e-d66788705f1d"],

Cell[BoxData[
 RowBox[{"cc", "[", 
  RowBox[{"{", 
   RowBox[{"10.1", ",", " ", "Green"}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.815988483423912*^9, 3.8159885036576242`*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"fd3b6d42-84a0-44b2-8d3a-fda0c5634757"],

Cell[BoxData[
 RowBox[{"cc", "[", 
  RowBox[{"{", 
   RowBox[{"10.1", ",", 
    RowBox[{"Missing", "[", "]"}]}], "}"}], "]"}]], "Input",
 CellChangeTimes->{{3.815988532050297*^9, 3.815988550909127*^9}},
 CellLabel->"In[12]:=",ExpressionUUID->"650310ba-cc5d-439a-b8c7-074cf5755752"],

Cell[BoxData[
 RowBox[{"cc", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"10.1", ",", "Blue"}], "}"}], ",", " ", "\"\<Probabilities\>\""}],
   "]"}]], "Input",
 CellChangeTimes->{{3.815988581626666*^9, 3.815988640551755*^9}},
 CellLabel->"In[13]:=",ExpressionUUID->"236f63b7-67c4-498d-b0ff-713d3bad6598"],

Cell[BoxData[
 RowBox[{"Classify", "[", 
  RowBox[{
  "\"\<Language\>\"", ",", "\"\<Ala ma ko\[CapitalLSlash]a\>\"", ",", 
   "\"\<TopProbabilities\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.815988744699259*^9, 3.815988827568472*^9}},
 CellLabel->"In[14]:=",ExpressionUUID->"0ccd9c7f-94a0-4201-8f1e-0733c82107ef"],

Cell[BoxData[
 RowBox[{"Information", "[", "cc", "]"}]], "Input",
 CellChangeTimes->{{3.81598910043011*^9, 3.815989104088986*^9}},
 CellLabel->"In[15]:=",ExpressionUUID->"011da7a7-37d2-4745-8b80-5434a62d8a7d"],

Cell[BoxData[
 RowBox[{
  RowBox[{"trainingset", "=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
     "1", ",", "2", ",", "3", ",", "4", ",", "5", ",", "6", ",", "7"}], "}"}],
     "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<a\>\"", ",", "\"\<a\>\"", ",", " ", "\"\<b\>\"", ",", " ", 
      "\"\<a\>\"", ",", " ", "\"\<b\>\"", ",", "\"\<b\>\"", ",", 
      "\"\<b\>\""}], "}"}]}]}], ";"}]], "Input",
 CellLabel->"In[16]:=",ExpressionUUID->"59438099-ae7e-4d8f-a280-921c0dbaae44"],

Cell[BoxData[
 RowBox[{"logistic", "=", 
  RowBox[{"Classify", "[", 
   RowBox[{"trainingset", ",", 
    RowBox[{"Method", "\[Rule]", "\"\<LogisticRegression\>\""}]}], 
   "]"}]}]], "Input",
 CellLabel->"In[17]:=",ExpressionUUID->"85f83ba4-8aa8-4392-ab37-705af453e5dc"],

Cell[BoxData[
 RowBox[{"rf", "=", 
  RowBox[{"Classify", "[", 
   RowBox[{"trainingset", ",", 
    RowBox[{"Method", "\[Rule]", "\"\<RandomForest\>\""}]}], "]"}]}]], "Input",\

 CellLabel->"In[18]:=",ExpressionUUID->"665df1a0-f1e0-483f-9e5d-7631069be42c"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", "\[IndentingNewLine]", 
    RowBox[{
     RowBox[{"logistic", "[", 
      RowBox[{"x", ",", 
       RowBox[{"\"\<Probability\>\"", "\[Rule]", "\"\<b\>\""}]}], "]"}], ",", 
     "\[IndentingNewLine]", 
     RowBox[{"rf", "[", 
      RowBox[{"x", ",", 
       RowBox[{"\"\<Probability\>\"", "\[Rule]", "\"\<b\>\""}]}], "]"}]}], 
    "\[IndentingNewLine]", "}"}], ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "8"}], "}"}], ",", " ", 
   RowBox[{"Exclusions", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellChangeTimes->{{3.8159895690604362`*^9, 3.815989572732642*^9}},
 CellLabel->"In[19]:=",ExpressionUUID->"d88e4660-2fbb-4bf4-88c2-a363beda3f1a"]
},
WindowSize->{1866, 1016},
WindowMargins->{{0, Automatic}, {0, Automatic}},
FrontEndVersion->"12.0 for Linux x86 (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 947, 18, 31, "Input",ExpressionUUID->"45357933-f752-408d-a137-30be07b8b23d"],
Cell[1508, 40, 242, 4, 50, "Input",ExpressionUUID->"c14d0706-a589-4de4-bb9f-8da5c76f7551"],
Cell[1753, 46, 367, 6, 31, "Input",ExpressionUUID->"9506f77d-18f2-414a-9875-922c8933cbec"],
Cell[2123, 54, 497, 11, 50, "Input",ExpressionUUID->"fa6f9c7b-e7c6-4ec4-b2f0-1f47d5f12730"],
Cell[2623, 67, 365, 7, 31, "Input",ExpressionUUID->"2e3a4cfd-1957-40bf-898d-177c966a3286"],
Cell[2991, 76, 924, 25, 50, "Input",ExpressionUUID->"32b33d65-f575-4a25-940e-d66788705f1d"],
Cell[3918, 103, 261, 5, 50, "Input",ExpressionUUID->"fd3b6d42-84a0-44b2-8d3a-fda0c5634757"],
Cell[4182, 110, 281, 6, 50, "Input",ExpressionUUID->"650310ba-cc5d-439a-b8c7-074cf5755752"],
Cell[4466, 118, 306, 7, 50, "Input",ExpressionUUID->"236f63b7-67c4-498d-b0ff-713d3bad6598"],
Cell[4775, 127, 317, 6, 50, "Input",ExpressionUUID->"0ccd9c7f-94a0-4201-8f1e-0733c82107ef"],
Cell[5095, 135, 209, 3, 50, "Input",ExpressionUUID->"011da7a7-37d2-4745-8b80-5434a62d8a7d"],
Cell[5307, 140, 490, 13, 31, "Input",ExpressionUUID->"59438099-ae7e-4d8f-a280-921c0dbaae44"],
Cell[5800, 155, 269, 6, 50, "Input",ExpressionUUID->"85f83ba4-8aa8-4392-ab37-705af453e5dc"],
Cell[6072, 163, 255, 6, 50, "Input",ExpressionUUID->"665df1a0-f1e0-483f-9e5d-7631069be42c"],
Cell[6330, 171, 721, 17, 139, "Input",ExpressionUUID->"d88e4660-2fbb-4bf4-88c2-a363beda3f1a"]
}
]
*)

