(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 12.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[      6525,        174]
NotebookOptionsPosition[      5251,        150]
NotebookOutlinePosition[      5650,        166]
CellTagsIndexPosition[      5607,        163]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell["\<\
Tytanic
Mathematica \:201ezawiera\[CloseCurlyDoubleQuote] informacje o ofiarach \
katastrofy Titanica. Informacje takie jak:
- klasa kabiny
- wiek
- p\[LSlash]e\[CAcute]
oraz informacj\:0119, czy osoba prze\:017cy\[LSlash]a\[Ellipsis]\
\>", "Text",
 CellChangeTimes->{{3.8160017706738577`*^9, 
  3.816001860186585*^9}},ExpressionUUID->"0d513845-5aa8-41e8-a5a6-\
31a9ac414429"],

Cell[BoxData[
 RowBox[{
  RowBox[{"dataset", "=", 
   RowBox[{"ExampleData", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"\"\<MachineLearning\>\"", ",", "\"\<Titanic\>\""}], "}"}], 
     ",", "\"\<Data\>\""}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{3.816001865080719*^9},
 CellLabel->"In[1]:=",ExpressionUUID->"71217386-01ca-409b-82ed-f995c207c7a5"],

Cell[BoxData[
 RowBox[{"Length", "[", "dataset", "]"}]], "Input",
 NumberMarks->False,
 CellLabel->"In[2]:=",ExpressionUUID->"4af913ec-81ce-44e2-b093-5a0b23bb1a0b"],

Cell["\<\
Wybierzemy z zestawu danych losow\:0105  pr\[OAcute]bk\:0119 o d\[LSlash]ugo\
\:015bci n, \:017ceby zobaczy\[CAcute] jak dane wygl\:0105daj\:0105\
\>", "Text",
 CellChangeTimes->{{3.816001886255314*^9, 3.816001937710227*^9}, {
  3.816002063055106*^9, 
  3.81600207088813*^9}},ExpressionUUID->"295be0d8-9937-444d-93d9-\
8fdc214cf6c9"],

Cell[BoxData[
 RowBox[{
  RowBox[{"n", "=", "10"}], ";"}]], "Input",
 CellChangeTimes->{{3.816001925555256*^9, 3.816001944047489*^9}},
 CellLabel->"In[3]:=",ExpressionUUID->"8bfd942c-8e0a-4fb5-a24b-277c46ac2585"],

Cell[BoxData[
 RowBox[{
  RowBox[{"RandomSample", "[", 
   RowBox[{"dataset", ",", " ", "n"}], "]"}], "//", "TableForm"}]], "Input",
 CellChangeTimes->{{3.8160019570276546`*^9, 3.816002016558454*^9}},
 CellLabel->"In[4]:=",ExpressionUUID->"223487d4-294d-4556-a255-b8b1722867db"],

Cell[BoxData[
 RowBox[{"ccc", "=", " ", 
  RowBox[{"Classify", "[", 
   RowBox[{"dataset", ",", 
    RowBox[{"Method", "\[Rule]", " ", "\"\<LogisticRegression\>\""}]}], 
   "]"}]}]], "Input",
 CellChangeTimes->{{3.816002036122884*^9, 3.816002043559733*^9}, {
  3.8160020755515423`*^9, 3.81600208791012*^9}, {3.816054837347336*^9, 
  3.81605483885441*^9}},
 CellLabel->"In[9]:=",ExpressionUUID->"541cd103-9e20-41de-8183-7a67d46f759d"],

Cell["\<\
Sprawd\:017amy, jak\:0105 szanse na prze\:017cycie ma dziewczynka w wieku 11 \
lat podr\[OAcute]\:017cuj\:0105ca klas\:0105 trzeci\:0105\
\>", "Text",
 CellChangeTimes->{{3.816002109025517*^9, 
  3.816002172723509*^9}},ExpressionUUID->"c06cd027-b568-47f5-8267-\
080b1a8dd583"],

Cell[BoxData[
 RowBox[{"ccc", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{"\"\<3rd\>\"", ",", "11", ",", "\"\<male\>\""}], "}"}], ",", " ", 
   
   RowBox[{"\"\<Probability\>\"", "\[Rule]", "\"\<survived\>\""}]}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.816002177563015*^9, 3.816002277120553*^9}, {
  3.816002473139373*^9, 3.816002560846615*^9}, {3.816054537316465*^9, 
  3.816054582491699*^9}, {3.816054987516418*^9, 
  3.8160549887203197`*^9}},ExpressionUUID->"1c80a216-8f81-492b-b4a8-\
05076acf6bab"],

Cell[BoxData[
 RowBox[{
  RowBox[{
   RowBox[{"p", "[", 
    RowBox[{"class_", ",", "age_", ",", "sex_"}], "]"}], ":=", 
   RowBox[{"ccc", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"class", ",", "age", ",", "sex"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"\"\<Probability\>\"", ",", "\"\<survived\>\""}], "}"}]}], 
    "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.816002439673923*^9, 3.816002439924549*^9}},
 CellLabel->"In[11]:=",ExpressionUUID->"5148aed6-ee59-46c0-93a4-5504017caaad"],

Cell[BoxData[
 RowBox[{"Plot", "[", 
  RowBox[{
   RowBox[{"{", 
    RowBox[{
     RowBox[{"p", "[", 
      RowBox[{"\"\<1st\>\"", ",", "x", ",", "\"\<female\>\""}], "]"}], ",", 
     RowBox[{"p", "[", 
      RowBox[{"\"\<3rd\>\"", ",", "x", ",", "\"\<female\>\""}], "]"}], ",", 
     RowBox[{"p", "[", 
      RowBox[{"\"\<1st\>\"", ",", "x", ",", "\"\<male\>\""}], "]"}], ",", 
     RowBox[{"p", "[", 
      RowBox[{"\"\<3rd\>\"", ",", "x", ",", "\"\<male\>\""}], "]"}]}], "}"}], 
   ",", " ", 
   RowBox[{"{", 
    RowBox[{"x", ",", "0", ",", "100"}], "}"}], ",", 
   RowBox[{"PlotLegends", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
     "\"\<female, 1st class\>\"", ",", " ", "\"\<female, 3rd class\>\"", ",", 
      " ", "\"\<male, 1st class\>\"", ",", " ", "\"\<male, 3rd class\>\""}], 
     "}"}]}], ",", " ", 
   RowBox[{"Frame", "\[Rule]", "True"}], ",", 
   RowBox[{"FrameLabel", "\[Rule]", " ", 
    RowBox[{"{", 
     RowBox[{
     "\"\<Age (years)\>\"", ",", " ", "\"\<Survival probability\>\""}], 
     "}"}]}], ",", " ", 
   RowBox[{"Exclusions", "\[Rule]", "None"}]}], "]"}]], "Input",
 CellLabel->"In[12]:=",ExpressionUUID->"134d3bfa-434b-4509-a9da-634e1b0afb35"]
},
WindowSize->{1026., 616.5},
WindowMargins->{{45.75, Automatic}, {Automatic, 40.5}},
FrontEndVersion->"12.1 for Linux x86 (64-bit) (June 19, 2020)",
StyleDefinitions->"Default.nb",
ExpressionUUID->"21107446-3084-4a35-8dc3-baff1130807f"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 386, 11, 150, "Text",ExpressionUUID->"0d513845-5aa8-41e8-a5a6-31a9ac414429"],
Cell[947, 33, 363, 9, 46, "Input",ExpressionUUID->"71217386-01ca-409b-82ed-f995c207c7a5"],
Cell[1313, 44, 164, 3, 46, "Input",ExpressionUUID->"4af913ec-81ce-44e2-b093-5a0b23bb1a0b"],
Cell[1480, 49, 343, 7, 35, "Text",ExpressionUUID->"295be0d8-9937-444d-93d9-8fdc214cf6c9"],
Cell[1826, 58, 212, 4, 29, "Input",ExpressionUUID->"8bfd942c-8e0a-4fb5-a24b-277c46ac2585"],
Cell[2041, 64, 278, 5, 46, "Input",ExpressionUUID->"223487d4-294d-4556-a255-b8b1722867db"],
Cell[2322, 71, 433, 9, 46, "Input",ExpressionUUID->"541cd103-9e20-41de-8183-7a67d46f759d"],
Cell[2758, 82, 286, 6, 35, "Text",ExpressionUUID->"c06cd027-b568-47f5-8267-080b1a8dd583"],
Cell[3047, 90, 507, 12, 29, "Input",ExpressionUUID->"1c80a216-8f81-492b-b4a8-05076acf6bab"],
Cell[3557, 104, 506, 13, 29, "Input",ExpressionUUID->"5148aed6-ee59-46c0-93a4-5504017caaad"],
Cell[4066, 119, 1181, 29, 122, "Input",ExpressionUUID->"134d3bfa-434b-4509-a9da-634e1b0afb35"]
}
]
*)

